package com.nebu.nebula.bean;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 瓶
 */
@Data
@NoArgsConstructor
public class Bottle {
    private static final String INSERTVERTEXES1 =  "INSERT VERTEX bottle(name, productionData) VALUES ";
    private String vid;//标签（tag）vid
    private String name;
    private String GenerateDate;//生成日期
    private List<Code> codes;//瓶子的盖内盖外码

    public Bottle(String vid, String name, String generateDate,String name1) {
        this.vid = vid;
        this.name = name;
        GenerateDate = generateDate;
        codes = new ArrayList<>();
        codes.add(new Code(UUID.randomUUID().toString(),name1,new Date(),1));
        codes.add(new Code(UUID.randomUUID().toString(),name1,new Date(),0));
    }

    public Bottle(String vid, String name, String generateDate, List<Code> codes) {
        this.vid = vid;
        this.name = name;
        GenerateDate = generateDate;
        this.codes = codes;
    }

    public String genInsertVertexes2(){
        String s = "'"+this.vid+"'"+":"+"("+"'"+name+"'"+","+"'"+this.GenerateDate+"'"+")" ;
        String a = INSERTVERTEXES1 + s;
        return a;
    }
}
