package com.nebu.nebula.bean;

import com.nebu.nebula.utils.VidRandom;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


/**
 * 经销商
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Dealers {
    private static final String INSERTVERTEXES1 =  "INSERT VERTEX dealers(name, address, phoneNum, level, arrivalTime, outTime) VALUES ";
    private String vid;//标签（tag）vid
    private String name;
    private String address;
    private String phoneNum;
    private String level;//表示是第几级经销商
    private Date arrivalTime;//进货时间
    private Date outTime;//出货时间
    private List<Seller> sellerList;//代表着卖家
    private List<String> tagList;
    private List<String> edgesList;

    public Dealers(String vid, String name, String address, String phoneNum, String level) {
        this.vid = vid;
        this.name = name;
        this.address = address;
        this.phoneNum = phoneNum;
        this.level = level;
    }

    public String genInsertVertexes2(){
        String s = "'"+this.vid+"'"+":"+"("+"'"+name+"'"+","+"'"+this.address+"'"+","+"'"+this.phoneNum+"'"+","+"'"+this.level+"'"+")" ;
        String a = INSERTVERTEXES1 + s;
        return a;
    }
//    nebula> INSERT VERTEX date1(p1, p2, p3) VALUES "test1":(date("2021-03-17"), time("17:53:59"), datetime("2021-03-17T17:53:59"));
    public String genInsertVertexes3(){
        String s = "'"+this.vid+"'"+":"+"("+"'"+name+"'"+","+"'"+this.address+"'"+","+"'"+this.phoneNum+"'"+","+"'"+this.level+"'"+","+"date(\""+ VidRandom.getIntDate() +"\")"+","+"date(\""+ VidRandom.getOutDate() +"\")"+")" ;
        String a = INSERTVERTEXES1 + s;
        return a;
    }

}
