package com.nebu.nebula.bean;

import lombok.Data;

import java.util.*;
import java.util.concurrent.LinkedBlockingQueue;
/**
 * 工厂（厂家）
 * String createSchema = "CREATE SPACE IF NOT EXISTS test5; "
 *                         + "USE test5;"
 *                         + "CREATE TAG IF NOT EXISTS person(name string, age int);"
 *                         + "CREATE EDGE IF NOT EXISTS like(likeness double)";
 *                         String insertVertexes = "INSERT VERTEX person(name, age) VALUES " + s;
 *                         String s = "'"+anInt+"'"+":"+"("+"'Bob"+i+"'"+","+i+")" ;
 */
@Data
public class Factory {
    private static final String INSERTVERTEXES =  "INSERT VERTEX factory(name, address, phoneNum) VALUES ";
    private String vid;
    private String name;
    private String address;
    private String phoneNum;
    private List<Dealers> dealersList;//代表着卖家
    private List<String> tagList;
    private List<String> edgesList;
    private Queue<String> queue;
       public Factory(List<Dealers> dealersList){
        vid = "1";
        name = "工厂";
        address = "成都市腾讯大厦B座";
        phoneNum = "123456789";
        this.dealersList = dealersList;
        queue = new LinkedBlockingQueue<>();
            }
    public String genInsertVertexes2() {
        tagList = new ArrayList<>();
        String s = "'" + this.vid + "'" + ":" + "(" + "'" + name + "'" + "," + "'" + this.address + "'" + "," + "'" + this.phoneNum + "'" + ")";
        String a = INSERTVERTEXES + s;
        return a;
    }
}
