package com.nebu.nebula.bean;


import com.nebu.nebula.utils.VidRandom;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *卖家
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Seller {
    private static final String INSERTVERTEXES1 =  "INSERT VERTEX seller(name, address, phoneNum, arrivalTime, outTime) VALUES ";
    private String vid;//标签（tag）vid
    private String name;
    private String address;
    private String phoneNum;
    private Date arrivalTime;//进货时间
    private Date outTime;//出货时间
    private List<Boxes> boxesList;//代表这箱子
    private List<String> tagList;
    private List<String> edgesList;

    public Seller(String vid, String name, String address, String phoneNum) {
        this.vid = vid;
        this.name = name;
        this.address = address;
        this.phoneNum = phoneNum;
    }

    public Seller(String vid, String name, String address, String phoneNum, List<Boxes> boxesList) {
        this.vid = vid;
        this.name = name;
        this.address = address;
        this.phoneNum = phoneNum;
        this.boxesList = boxesList;
    }



    public String genInsertVertexes2(){
        String s = "'"+this.vid+"'"+":"+"("+"'"+name+"'"+","+"'"+this.address+"'"+","+"'"+this.phoneNum+"'"+")" ;
        String a = INSERTVERTEXES1 + s;
        return a;
    }
    public String genInsertVertexes3(){
        String s = "'"+this.vid+"'"+":"+"("+"'"+name+"'"+","+"'"+this.address+"'"+","+"'"+this.phoneNum+"'"+","+"date(\""+ VidRandom.getIntDate() +"\")"+","+"date(\""+ VidRandom.getOutDate() +"\")"+")" ;
        String a = INSERTVERTEXES1 + s;
        return a;
    }

}
